# Websocket订阅地址说明

### Websocket地址

股票产品（包括美股、港股、A股）订阅地址：

```
wss://data.infoway.io/ws?business=stock&apikey=YourAPIKey
```

日本股产品订阅地址：

```
wss://data.infoway.io/ws?business=japan&apikey=YourAPIKey
```

印度股产品订阅地址：

```
wss://data.infoway.io/ws?business=india&apikey=YourAPIKey
```

数字币产品订阅地址：

```
wss://data.infoway.io/ws?business=crypto&apikey=YourAPIKey
```

外汇、期货等产品订阅地址：

```
wss://data.infoway.io/ws?business=common&apikey=YourAPIKey
```

[代码示例](https://docs.infoway.io/websocket-api/code-examples)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/websocket-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
